config:
  secret:
    argocdServerAdminPassword: "{{ argocd_admin_credentials.password }}"
redis:
  auth:
    password: "argo-redis-super-secure"
repoServer:
  containerPorts:
    metrics: 8084
  metrics:
    enabled: true
    serviceMonitor:
      enabled: true
dex:
  metrics:
    enabled: true
    serviceMonitor:
      enabled: true
controller:
  metrics:
    enabled: true
    serviceMonitor:
      enabled: true
server:
  extraArgs:
    - "--insecure"
  metrics:
    enabled: true
    serviceMonitor:
      enabled: true
  url: "{{ cloudstack.plugins.argocd.subdomain }}.{{ cloudstack.stack.hostname }}"
{% if cloudstack.plugins.argocd.ingress.enabled|bool or cloudstack.stack.exposed|bool %}
  ingress:
    enabled: True
{% if cloudstack.plugins.argocd.ingress.hostname != "" %}
    hostname: "{{ cloudstack.plugins.argocd.ingress.hostname }}"
{% else %}
    hostname: "{{ cloudstack.plugins.argocd.subdomain }}.{{ cloudstack.stack.hostname }}"
{% endif %}
{% if cloudstack.plugins.argocd.ingress.tls.enabled|bool or cloudstack.stack.tls|bool %}
    tls: true
{% else %}
    tls: false
{% endif %}
    path: "/"
{% if cloudstack.plugins.argocd.ingress.tls.provider == "secret" %}
    secrets:
      - name: "{{ cloudstack.plugins.argocd.ingress.tls.secret.name }}"
        certificate: |
          {{ cloudstack.plugins.argocd.ingress.tls.secret.cert.content | indent( width=10) }}
        key: |
          {{ cloudstack.plugins.argocd.ingress.tls.secret.key.content | indent( width=10) }}
{% endif %}
    annotations:
      kubernetes.io/ingress.class: "nginx"
{% if cloudstack.plugins.argocd.ingress.tls.enabled|bool or cloudstack.stack.tls|bool %}
{% if cloudstack.plugins.argocd.ingress.tls.provider == "letsencrypt" %}
      kubernetes.io/tls-acme: "true"
      acme.cert-manager.io/http01-ingress-class: "nginx"
{% if cloudstack.plugins.letsencrypt.config.issuers.dns01.enabled|bool %}
      cert-manager.io/cluster-issuer: "cloudstack-dns01"
{% elif cloudstack.plugins.letsencrypt.config.issuers.http01.enabled|bool %}
      cert-manager.io/cluster-issuer: "letsencrypt-{{ cloudstack.plugins.letsencrypt.config.environment }}"
{% endif %}
{% endif %}
{% endif %}
{% endif %}